<!-- 告警统计 -->
<template>
  <page-container>
    <div class="page-top">
      <div class="page-top-left">
        <DeviceCount />
        <!-- <DeviceRunningStatus /> -->
        <WarningAnalysis />
      </div>
      <div class="page-top-right">
        <EquipmentHealth />
      </div>
    </div>
    <div class="page-middle">
      <WarningType />
      <WarningLevel />
    </div>
    <div class="page-bottom">
      <WarningCount />
      <DeviceType />
    </div>
  </page-container>
</template>
<script lang="ts" name="DataReportDevice" setup>
import DeviceCount from "./DeviceCount.vue";
// import DeviceRunningStatus from "./DeviceRunningStatus.vue";
import WarningAnalysis from "./WarningAnalysis.vue";
import EquipmentHealth from "./EquipmentHealth.vue";
import WarningCount from "./WarningCount.vue";
import WarningType from "./WarningType.vue";
import DeviceType from "./DeviceType.vue";
import WarningLevel from "./WarningLevel.vue";

</script>
<style scoped lang="less">
.page-top {
  display: flex;

  .page-top-left {
    flex: 2;
  }
  .page-top-right {
    margin-left: 16px;
    flex: 1;
  }
}
.page-middle {
  display: flex;
}
.page-bottom {
  display: flex;
}
</style>
